org.apache.cayenne.merge

## Class ExecutingMergerContext

- java.lang.Object
- - org.apache.cayenne.merge.ExecutingMergerContext

- All Implemented Interfaces:
    MergerContext

      public class ExecutingMergerContext
      extends Object
      implements MergerContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutingMergerContext(DataMap map, DataNode node)`
    `ExecutingMergerContext(DataMap map, DataSource dataSource, JdbcAdapter adapter, ModelMergeDelegate delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DbAdapter` | `getAdapter()`
    `DataMap` | `getDataMap()`
    `DataNode` | `getDataNode()`
    `ModelMergeDelegate` | `getModelMergeDelegate()`
    `ValidationResult` | `getValidationResult()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutingMergerContext

          public ExecutingMergerContext(DataMap map,
                                        DataNode node)

    - #### ExecutingMergerContext

          public ExecutingMergerContext(DataMap map,
                                        DataSource dataSource,
                                        JdbcAdapter adapter,
                                        ModelMergeDelegate delegate)

  - ### Method Detail

    - #### getAdapter

          public DbAdapter getAdapter()

      Specified by:
        `getAdapter` in interface `MergerContext`

    - #### getDataMap

          public DataMap getDataMap()

      Specified by:
        `getDataMap` in interface `MergerContext`

    - #### getDataNode

          public DataNode getDataNode()

      Specified by:
        `getDataNode` in interface `MergerContext`

    - #### getValidationResult

          public ValidationResult getValidationResult()

      Specified by:
        `getValidationResult` in interface `MergerContext`

    - #### getModelMergeDelegate

          public ModelMergeDelegate getModelMergeDelegate()

      Specified by:
        `getModelMergeDelegate` in interface `MergerContext`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.